%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:		python-ironicclient
Version:	0.5.1
Release:	11%{?dist}
Summary:	Python client for Ironic

License:	ASL 2.0
URL:		https://pypi.python.org/pypi/python-ironicclient
Source0:	http://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

#patches_base=+3
Patch0001: 0001-Revert-match-tarball-setup.cfg.patch
Patch0002: 0002-Updated-from-global-requirements.patch
Patch0003: 0003-Implement-and-enable-retries-on-Conflict.patch
Patch0004: 0004-Introduce-openstackclient-plugin.patch
Patch0005: 0005-Implementation-of-baremetal-port-create.patch
Patch0006: 0006-Implementation-of-baremetal-power-state-commands.patch
Patch0007: 0007-Bump-default-retry-timeout-to-match-Nova-s.patch
Patch0008: 0008-Register-global-Keystone-args-first.patch
Patch0009: 0009-Add-provision-state-command.patch
Patch0010: 0010-Add-maintenance-mode-command.patch
Patch0011: 0011-Fix-difference-between-api-calls-for-kilo.patch

BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-setuptools

Requires:	python-prettytable
Requires:	python-keystoneclient
Requires:	python-six
Requires:	python-stevedore
Requires:	python-anyjson
Requires:	python-httplib2
Requires:	python-lxml

%description
A python and command line client library for Ironic.

%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1

rm test-requirements.txt
rm requirements.txt

# We provide version like this in order to remove runtime dep on pbr.
sed -i s/REDHATIRONICCLIENTVERSION/%{version}/ ironicclient/__init__.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%doc LICENSE README.rst
%{_bindir}/*
%{python2_sitelib}/ironicclient*
%{python2_sitelib}/python_ironicclient*


%changelog
* Wed Sep 16 2015 Mike Burns <mburns@redhat.com> 0.5.1-11
- Fix difference between api calls for kilo rhbz#1241094

* Wed Sep 02 2015 Brad P. Crochet <brad@redhat.com> 0.5.1-10
- Amend changes for openstackclient plugin
- Add provision state command (rhbz#1241094)
- Add maintenance mode command (rhbz#1241094)

* Wed Jul 01 2015 Mike Burns <mburns@redhat.com> 0.5.1-9
- Register global Keystone args first

* Mon Jun 29 2015 Mike Burns <mburns@redhat.com> 0.5.1-8
- Bump default retry timeout to match Nova's

* Wed Jun 24 2015 Mike Burns <mburns@redhat.com> 0.5.1-7
- BZ #1232313: Fail better if no authentication available

* Fri May 08 2015 Mike Burns <mburns@redhat.com> 0.5.1-5
- Implementation of baremetal power state commands
- Implementation of baremetal port create
- Introduce openstackclient plugin
- Implement and enable retries on Conflict
- Updated from global requirements
- prevent pbr handling deps
- Remove pbr dep

* Fri May 08 2015 Mike Burns <mburns@redhat.com> 0.5.1-4


* Fri May 08 2015 Mike Burns <mburns@redhat.com> 0.5.1-3


* Fri May 08 2015 Mike Burns <mburns@redhat.com> 0.5.1-2
- Update to upstream 0.5.1

* Fri May 08 2015 Mike Burns <mburns@redhat.com> 0.5.1-1
- Update to upstream 0.5.1


* Thu Oct 16 2014 Angus Thomas <athomas@redhat.com> - 0.3.1-1
- Rebased to python-ironicclient-0.3.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 26 2014 Angus Thomas <athomas@redhat.com> - 0.1.2-5
- Removed instance of macro in Changelog
- Consistent use of tabs in SPEC file

* Thu Feb 27 2014 Angus Thomas <athomas@redhat.com> - 0.1.2-4
- Switched to patches made with git
- Write REDHATIRONICCLIENTVERSION correctly
- Reordered files section

* Thu Feb 27 2014 Angus Thomas <athomas@redhat.com> - 0.1.2-3
- Added macro fix to support building on EL6

* Wed Feb 26 2014 Angus Thomas <athomas@redhat.com> - 0.1.2-2
- Added patches to remove pbr dependency
- Updated the source URL
- Removed deletion of python_ironicclient.egg-info

* Tue Feb 25 2014 Angus Thomas <athomas@redhat.com> - 0.1.2-1
- Initial package.
